/*	ccsys.h
	System-dependent global includes and defines
	libcrabclaw
	Copyright (C) 2004 Lawrence Sebald	*/

/*	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
	
/**
 *	@file		ccsys.h
 *	@brief		System-dependent includes and defines.
 *	@author		Lawrence Sebald
 *	@date		2004
 *	@since		0.9.0
 *	@version	0.9.0
 */
 
/**
 *	@mainpage
 *	@section lic License
 *	Your use of libcrabclaw is subject to the GNU General Public License,
 *	version 2 (or at your option, any later version). For more information,
 *	see <a href="http://www.gnu.org/licenses/gpl.html">
 *	http://www.gnu.org/licenses/gpl.html</a>.
 */

#ifndef __CCSYS_H
#define __CCSYS_H

#ifdef _arch_dreamcast
#include <kos.h>
#endif

/**
 *	Namespace that contains all of the libcrabclaw classes.
 */
namespace crabclaw	{
}

#endif
